<container id="root_node" x="0" y="0" width="{view_w}" height="{view_h}">

  <dataNumber id="z_depth" name="z_depth" value="-1150"/>
  <dataTime id="flipDuration" name="flipDuration" value="1000"/>

  <rect id="background" width="{view_w}" height="{view_h}" fill="black"/>

  <viewport3D width="{view_w}" height="{view_h}" x="0" y="0" fov="0.05">

    <transform3D id="left" tz="{z_depth}" tx="{left_image_tx}" ty="180" sy="-1">
      <plane3D x="0" y="0" width="{view_w}" height="{view_h}" texres="image_1"/>
    </transform3D>
    <transform3D id="center" tz="{z_depth}" tx="{center_image_tx}" ty="180" sy="-1">
      <plane3D x="0" y="0" width="{view_w}" height="{view_h}" texres="image_0"/>
    </transform3D>
    <transform3D id="right" tz="{z_depth}" tx="{right_image_tx}" ty="180" sy="-1">
      <plane3D x="0" y="0" width="{view_w}" height="{view_h}" texres="image_2"/>
    </transform3D>

  </viewport3D>
  
  <image id="navigation_bar" rendering="q" opacity="1" x="{navigation_bar_x}" y="{navigation_bar_show_y}" width="{navigation_bar_w}" height="{navigation_bar_h}" src="navigation_bar_bitmap"/>
  <image id="left_button" rendering="q" opacity="1" x="{left_button_x}" y="{left_button_show_y}" width="{left_button_w}" height="{left_button_h}" src="left_button_bitmap"/>
  <image id="right_button" rendering="q" opacity="1" x="{right_button_x}" y="{right_button_show_y}" width="{right_button_w}" height="{right_button_h}" src="right_button_bitmap"/>
  <image id="info_bar" rendering="q" opacity="1" x="{info_bar_x}" y="{info_bar_show_y}" width="{info_bar_w}" height="{info_bar_h}" src="info_bar_bitmap"/>
  <image id="single_land_sub_menu" rendering="q" opacity="1" x="{single_land_sub_menu_hide_x}" y="{single_land_sub_menu_y}" width="{single_land_sub_menu_w}" height="{single_land_sub_menu_h}" src="single_land_sub_menu_bitmap"/>
  <image id="single_land_v_sub_menu" rendering="q" opacity="1" x="{single_land_v_sub_menu_hide_x}" y="{single_land_v_sub_menu_y}" width="{single_land_v_sub_menu_w}" height="{single_land_v_sub_menu_h}" src="single_land_v_sub_menu_bitmap"/>
  <image id="single_land_menu" rendering="q" opacity="1" x="{single_land_menu_show_x}" y="{single_land_menu_y}" width="{single_land_menu_w}" height="{single_land_menu_h}" src="single_land_menu_bitmap"/>
  <image id="play_button" rendering="q" opacity="{play_button_opa}" x="{play_button_x}" y="{play_button_y}" width="{play_button_w}" height="{play_button_h}" src="play_button_bitmap"/>


  <action on="SinglePageFlowNone">
  </action>

  <action on="ShowMenu">
    <animate targetNode="single_land_menu" targetAttr="x" from="{single_land_menu_hide_x}" to="{single_land_menu_show_x}" begin="0" dur="200"/>
    <animate targetNode="navigation_bar" targetAttr="y" from="{navigation_bar_hide_y}" to="{navigation_bar_show_y}" begin="0" dur="200"/>
    <animate targetNode="left_button" targetAttr="y" from="{left_button_hide_y}" to="{left_button_show_y}" begin="0" dur="200"/>
    <animate targetNode="right_button" targetAttr="y" from="{right_button_hide_y}" to="{right_button_show_y}" begin="0" dur="200"/>
    <animate targetNode="info_bar" targetAttr="y" from="{info_bar_hide_y}" to="{info_bar_show_y}" begin="0" dur="200"/>
  </action>

  <action on="ShowSubMenu">
    <animate targetNode="single_land_sub_menu" targetAttr="x" from="{single_land_sub_menu_hide_x}" to="{single_land_sub_menu_show_x}" begin="0" dur="200"/>
  </action>

  <action on="ShowVideoSubMenu">
    <animate targetNode="single_land_v_sub_menu" targetAttr="x" from="{single_land_v_sub_menu_hide_x}" to="{single_land_v_sub_menu_show_x}" begin="0" dur="200"/>
  </action>

  <action on="HideMenu">
    <animate targetNode="single_land_menu" targetAttr="x" from="{single_land_menu_show_x}" to="{single_land_menu_hide_x}" begin="0" dur="200"/>
    <animate targetNode="navigation_bar" targetAttr="y" from="{navigation_bar_show_y}" to="{navigation_bar_hide_y}" begin="0" dur="200"/>
    <animate targetNode="left_button" targetAttr="y" from="{left_button_show_y}" to="{left_button_hide_y}" begin="0" dur="200"/>
    <animate targetNode="right_button" targetAttr="y" from="{right_button_show_y}" to="{right_button_hide_y}" begin="0" dur="200"/>
    <animate targetNode="info_bar" targetAttr="y" from="{info_bar_show_y}" to="{info_bar_hide_y}" begin="0" dur="200"/>
  </action>
  
  <action on="HideSubMenu">
    <animate targetNode="single_land_sub_menu" targetAttr="x" from="{single_land_sub_menu_show_x}" to="{single_land_sub_menu_hide_x}" begin="0" dur="200"/>
  </action>

  <action on="HideVideoSubMenu">
    <animate targetNode="single_land_v_sub_menu" targetAttr="x" from="{single_land_v_sub_menu_show_x}" to="{single_land_v_sub_menu_hide_x}" begin="0" dur="200"/>
  </action>

  </container>
